globus_gsi_authz_callout_error.h File Reference

GSI Authorization Callout Error API. More...

`#include "globus_common.h"`
Include dependency graph for globus_gsi_authz_callout_error.h:

Go to the source code of this file.

## Macros

#define | GLOBUS_GSI_AUTHZ_CALLOUT_ERROR_MODULE (&globus_gsi_authz_callout_error_module)
| Module descriptor.
#define | GLOBUS_GSI_AUTHZ_CALLOUT_ERROR(__RESULT, __TYPE, __ERRSTR)
| Create an authorization callout error object. More...
#define | GLOBUS_GSI_AUTHZ_CALLOUT_ERRNO_ERROR(__RESULT, __ERRNO)
| Create an authorization callout error object with an errno. More...

## Enumerations

enum | globus_gsi_authz_callout_error_t { GLOBUS_GSI_AUTHZ_CALLOUT_AUTHZ_CALLOUT_ERROR = 0, GLOBUS_GSI_AUTHZ_CALLOUT_AUTHZ_DENIED_BY_CALLOUT = 1, GLOBUS_GSI_AUTHZ_CALLOUT_CONFIGURATION_ERROR = 2, GLOBUS_GSI_AUTHZ_CALLOUT_SYSTEM_ERROR = 3, GLOBUS_GSI_AUTHZ_CALLOUT_CREDENTIAL_ERROR = 4, GLOBUS_GSI_AUTHZ_CALLOUT_BAD_ARGUMENT_ERROR = 5 }
| Error codes. More...

## Detailed Description

GSI Authorization Callout Error API.